<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: activation.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: Активация модуля
=====================================================
*/

if( !defined( "DATALIFEENGINE" ) ) die( "Hacking attempt!" );

if( isset( $_REQUEST['submit'] ) )
	{
		$key = $db->safesql( $_POST['key'] );
		if( !$key ) $error .= "<li>Введите лицензионный ключ.</li>";
		
		if( empty( $error ) )
			{
				$LicenseActivation = LicenseActivate( $key );
				if( $LicenseActivation != 1 ) $error .= "<li>{$LicenseActivation}</li>";
			}
		
		if( empty( $error ) )
			{
				miniloader();
				opentable();
				tableheader("Активация лицензии");
										
				echo "<br /><div style=\"padding: 5px;\" align=\"center\">Активация лицензии прошла успешно!<br /><br /><a href=\"#\" onclick=\"window.close();\">Закрыть окно</a></div><br />";
										
				closetable();
				minifooter();
			}
				else
			{
				miniloader( "Активация лицензии - Ошибка" );
				opentable();
				tableheader( "Активация лицензии" );
										
				echo "<div style=\"padding: 5px;\"><ul>{$error}</ul><br /><a href=\"$PHP_SELF?mod=board&action=activation\">Вернуться назад</a></div>";
										
				closetable();
				minifooter();
			}
	}
		else
	{
		miniloader( "Активация лицензии" );
		opentable();
		tableheader( "Активация лицензии" );
		
echo <<<HTML

<form method="POST" action="" name="activation">
<div style="padding: 5px;">
<table width="100%">
	<tr>
		<td colspan="2" background="engine/skins/images/mline.gif" height="1"></td>
	</tr>
    <tr height="29px">
        <td width="40%">Введите ключ: *</td>
        <td>
			<input class="edit" type="text" size="25" name="key" value="" />
		</td>
    </tr>
	<tr>
		<td colspan="2" background="engine/skins/images/mline.gif" height="1"></td>
	</tr>
</table>
</div>

<div class="hr_line"></div>
<div style="padding:5px;">
	<input class="buttons" type="submit" value="Активировать" name="submit" />
	<input class="buttons" type="button" value="Закрыть окно" onclick="window.close();" />
	<a href="http://rezer.net/ModuleActivation.html" target="_blank">Инструкция</a>
</div>
</form>

HTML;
		echo EchoAjax();
		closetable();
		minifooter();
	}
?>